/*
 * OpenEAS Experlog Application Server
 * Web application development and dynamic template scripting engine
 * Copyright (c) 2004 ExperLog SARL - http://www.experlog.com
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version. This program is distributed in
 * the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have
 * received a copy of the GNU General Public License along with this program;
 * if not, write to the Free Software Foundation, Inc.,
 * 675 Mass Ave, Cambridge, MA 02139, USA.
 */

package org.experlog.openeas.api;

import java.sql.SQLException;
import java.util.Hashtable;

public class HashDataObject implements DataObject {
	Hashtable t_ = null;

	public HashDataObject() {}
	public HashDataObject(Hashtable t) { t_ = t; }

	public void put(String name, Object val) {
		if(t_ == null) t_ = new Hashtable();
		t_.put(name, val);
	}

	public String get(String name) throws SQLException {
		if(t_ == null) return null;
		Object val = t_.get(name);
		return(val == null ? null : val.toString());
	}

	public String toString() { return (t_ == null ? null : t_.toString()); }
}

